import { WsApiResponse, WsApiRoute } from '../types';
export type WsApiOptions<Response extends WsApiResponse> = {
    onConnected?: () => void;
    onResponse?: (response: Response) => void;
    onError?: (error: unknown) => void;
    onDisconnected?: () => void;
};
export declare const useWsApi: <RouteKey extends string, Request_1 extends object, Response_1 extends object>(wsApiUrl: string, route: WsApiRoute<RouteKey, Request_1, Response_1>, options: WsApiOptions<Response_1>) => {
    sendRequest: (request: Request_1) => void;
    connected: boolean;
    error: boolean;
    disconnect: () => void;
};
